from ..config import Config
from .base import Handler


class HTTPHandler(Handler):
    def __init__(self, zone: str, config: Config, token: str) -> None:
        super().__init__(zone, config, token)
        self.filepath = config.acme_path / token

    def create(self, _: str, record_value: str) -> None:
        with self.filepath.open('w') as f:
            f.write(record_value)

    def remove(self, _: str) -> None:
        self.filepath.unlink(missing_ok=True)
